if flags.srubili then
  speciale_action(2,obj.koryaga_2_13.id)
  speciale_action(2,4)
  speciale_action(2,5)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id)
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "topor_12_1") then
    return
  end
  if sender==1 then
    if obj_id == 5 then
      if obj.topor_12_1 and attachedID == obj.topor_12_1.id then
        Block_Show_Cur(true)
        StartTimer(timerID,0.6,"frame1")
        speciale_action(2,1,true,0.5)
        
      else
        CreatePlashechka("603")
      end
    end
    if obj_id == 3 then
      if obj.topor_12_1 and attachedID == obj.topor_12_1.id then
        Block_Show_Cur(true)
        -- StartTimer(timerID,0.6,"unBlock_Show_Cur")
        speciale_action(2,1,true,0.5)
        
        StartTimer(timerID,0.6,"frame3")
        removeFromMouse()
        UnStoreObj(obj.topor_12_1.id)
        flags.srubili = true
      else
        CreatePlashechka("603")
      end
    end
    if obj_id == obj.koryaga_2_13.id then
      StoreObj(obj.koryaga_2_13.id);
      speciale_action(2,4)
      neighbors.Vetka.lock = true
    end;
  end
  if sender == 26 then
  --  CloseSatelite()
  end
end

function frame1()
  speciale_action(2,1,true,0.5)
  speciale_action(2,2,true,0.5)
  playeffect("axe")
  StartTimer(timerID,0.6,"frame2")
end

function frame2()
  speciale_action(2,2,true,0.5)
  speciale_action(2,3,true,0.5)
  speciale_action(2,5,true,0.5)
  
  StartTimer(timerID,0.6,"unBlock_Show_Cur")
end

function frame3()
  speciale_action(2,1,true,0.5)
  speciale_action(2,2,true,0.5)
  playeffect("axe")
  StartTimer(timerID,0.6,"frame4")
end

function frame4()
  speciale_action(2,2,true,0.5)
  speciale_action(2,3,true,0.5)
  speciale_action(2,4,true,0.5)
  speciale_action(2,obj.koryaga_2_13.id,true,0.5)
  StartTimer(timerID,0.6,"unBlock_Show_Cur")
end